%% PODMÍNKOVÁ METODA %%

function vysledek = moje_podminky(trenovaci)
vysledek=[];
[~, sloupce]=size(trenovaci);
for i=1:sloupce
    
    vzprimeny=0;
    
    if trenovaci(1,i) > 750    % zjištění zdali je trup ve vzpřímené poloze
        vzprimeny = vzprimeny + 1;
    end
    if trenovaci(2,i) > -300 && trenovaci(2,i) < 300
        vzprimeny = vzprimeny + 1;
    end
    if trenovaci(3,i) < 245
        vzprimeny = vzprimeny + 1;
    end
    
    %% když se stoj = 3  tak je trup ve vzpřímené poloze
    
    if vzprimeny == 3
        
        if trenovaci(10,i) < 500 && trenovaci(11,i) < 500 && trenovaci(12,i) < 700  % podmína pro staj a sed
            aktivita='stojí nebo sedí';
            vysledek(i)=5;
            
            if trenovaci(22,i)<438000000
                vysledek(i)=7;
            end
            
        elseif  trenovaci(10,i) > 2500                  % podmínaka pro běh
            aktivita='beh';
            vysledek(i)=4;
        else
            
            if  trenovaci(13,i)> 1.4                    % podmínka pro všechny typy chůze
                aktivita='chuze po rovině, dolu nebo nahoru';
                vysledek(i)=1;
                
                if trenovaci(10,i)> 1350
                    vysledek(i)=3;
                elseif trenovaci(24,i)< 59000000
                    vysledek(i)=2;
                else
                    vysledek(i)=1;
                end
                
            else
                aktivita='drepy';                       % podmínka pro cvičení dřepů
                vysledek(i)=9;
            end
            
        end
        
        
    else                        % když není trup ve vzpřímené poloze (tzn. leh klik sedy lehy)
        if trenovaci(10,i) < 300 && trenovaci(11,i) < 300 && trenovaci(12,i) < 300    % podmínka pro leh
            aktivita='lezi';
            vysledek(i)=6;
        else
            if trenovaci(3,i)< 0                        % podmínka pro sedy-lehy
                aktivita='sedy-lehy';
                vysledek(i)=10;
            else
                aktivita='kliky';                       % podmínka pro kliky
                vysledek(i)=8;
            end
            
        end
    end
    aktivita;
end
vysledek;

